gntaccount.h File Reference
Finch (GNT User Interface)

GNT Account API. More...

`#include "account.h"`

Go to the source code of this file.

## Functions
PurpleAccountUiOps * | finch_accounts_get_ui_ops (void)
| Get the ui-functions. More...
void | finch_accounts_init (void)
| Perform necessary initializations.
void | finch_accounts_uninit (void)
| Perform necessary uninitializations.
void | finch_accounts_show_all (void)
| Show the account-manager dialog.
void | finch_account_dialog_show (PurpleAccount *account)
| Show the edit dialog for an account. More...

## Detailed Description

GNT Account API.

Definition in file gntaccount.h.

## Function Documentation

## ◆ finch_account_dialog_show()

void finch_account_dialog_show | ( | PurpleAccount * | account | ) |

Show the edit dialog for an account.

Parameters

  account | The account to edit, or `NULL` to create a new account.

Since
  2.2.0

## ◆ finch_accounts_get_ui_ops()

PurpleAccountUiOps* finch_accounts_get_ui_ops | ( | void |  | ) |

Get the ui-functions.

Returns
  The PurpleAccountUiOps structure populated with the appropriate functions.